Name:           gnotime
Version:        2.2.1
Release:        5.fc3.8.1
Epoch:          0
Summary:        Tracks and reports time spent

Group:          Applications/Productivity
License:        GPL
URL:            http://gttr.sourceforge.net/
Source0:        http://dl.sf.net/gttr/%{name}-%{version}.tar.gz
# Images to go with the help files.
Source1:        http://www.tiki-lounge.com/~toshio/fedora/gtt_restartwin.png
Source2:        http://www.tiki-lounge.com/~toshio/fedora/gtt_startprojwin.png
# Simple patch to make the .desktop more complete
Patch0:         http://www.tiki-lounge.com/~toshio/fedora/gnotime-desktop.patch
# Combined patch allowing builds with gtkhtml3.0 or 3.1 and
# builds with a libqof installed on the system instead of bundled with Gnotime.
Patch1:         http://www.tiki-lounge.com/~toshio/fedora/gnotime-gtkhtml3.6-qof.patch
# Fixes includes of qof headers in source files.
Patch2:         http://www.tiki-lounge.com/~toshio/fedora/gnotime-qof-include.patch
# Fixes the idle timer for kernel 2.6.
Patch3:         http://www.tiki-lounge.com/~toshio/fedora/gnotime-idle.patch
# Fixes problems with calls to gnome_help
Patch4:         http://www.tiki-lounge.com/~toshio/fedora/gnotime-help.patch
# Fixes problems with popup menus failing to pass data arguments to callbacks
Patch5:         http://www.tiki-lounge.com/~toshio/fedora/gnotime-popup-menus.patch
# Fixes problem with gnome_help being invoked when the toplevel is unknown
Patch6:         http://www.tiki-lounge.com/~toshio/fedora/gnotime-help-error.patch
# Add wordwrapping to textviews
Patch7:         http://www.tiki-lounge.com/~toshio/fedora/gnotime-wordwrap.patch
# Adapt a patch from the gnotime issue tracker to separate the idle timeout
# from the no project running timeout.
Patch8:		http://www.tiki-lounge.com/~toshio/fedora/gnotime-separate-timeouts.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkhtml3-devel
BuildRequires:  guile-devel >= 0:1.6.0
BuildRequires:  scrollkeeper
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  qof-devel >= 0:0.5.0
BuildRequires:  qof-devel < 0:0.6.0
# Because we modify configure.in, we need to BR the auto* tools.
BuildRequires:  libtool

Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
A combination of stop-watch, diary, consultant billing system, and project
manager.  Gnotime allows you to track the amount of time you spend on a task,
associate a memo with it, set a billing rate, print an invoice, as well as
track the status of other projects.

Some people may remember Gnotime in its previous incarnations as GTT
(Gnome Time Tracker) when it was part of the Gnome Utils package.  It has
been split out, renamed, and greatly enhanced since then.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p1

cp $RPM_SOURCE_DIR/gtt_restartwin.png $RPM_BUILD_DIR/%{name}-%{version}/doc/C/figures/
cp $RPM_SOURCE_DIR/gtt_startprojwin.png $RPM_BUILD_DIR/%{name}-%{version}/doc/C/figures/

# Copy the images to the correct position

%build
autoreconf --install --force
%GNUconfigure
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Gnotime puts it's locale translations into gnotime-2.0.mo but it's gnome
# help files into html/gnotime....
%find_lang  %{name} --with-gnome
%find_lang  %{name}-2.0 --with-gnome
cat %{name}-2.0.lang >> %{name}.lang

# Gnotime uses scrollkeeper to track help data.  Unfortunately, it needs to
# install at package install, not build install.  So uninstall it now.
rm -rf $RPM_BUILD_ROOT%{_localstatedir}

# Gnotime installs the .desktop, but we have to do it again as directories
# and methods of install and such have changed.
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor=fedora --dir=$RPM_BUILD_ROOT%{_datadir}/applications --add-category=X-Fedora gnotime.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnotime.schemas &> /dev/null || :
  # If applicable:
  # gconftool-2 --makefile-uninstall-rule \
  #  %{_sysconfdir}/gconf/schemas/OLDSCHEMA.schemas &> /dev/null || :
  killall -HUP gconfd-2 || :
  unset GCONF_CONFIG_SOURCE
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnotime.schemas &>/dev/null || :
unset GCONF_CONFIG_SOURCE
killall -HUP gconfd-2 || :
scrollkeeper-update -q -o %{_datadir}/omf/gnotime || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnotime.schemas &> /dev/null || :
  unset GCONF_CONFIG_SOURCE
  killall -HUP gconfd-2 || :
fi

%postun
scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_mandir}/man[^3]/*
%{_sysconfdir}/gconf/schemas/*

%changelog
* Sat May 7 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.2.1-5.fc3.8.1
- Looks like I tagged before committing.  Try again in the right order.

* Tue May 3 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.2.1-5.fc3.8
- Sync relevant changes from the devel branch:
  + Add a patch adapted from the gnotime tracker.  Original patch by
    goedson-users.sf.net.  SF Tracker: 1171394.  This allows separate setting
    of the idle project and no project timeouts.
  + Require(pre): GConf2.
  + Fix up scriptlets to properly install and uninstall gconf schemas via
    gconftool-2.
  + Fix gtkhtml3 detection so 3.6 (as used in FC4) is detected.

* Sat Nov 27 2004 Toshio Kuratomi <toshio-tiki-lounge.com> - 0:2.2.1-5
- Patch to fix a crash when invoking gnome_help.
- Patch to wordwrap diary notes.

* Thu Sep 30 2004 Toshio Kuratomi <toshio-tiki-lounge.com> - 0:2.2.1-0.fdr.4
- New patch to fix the Activity entry in the popup menu.

* Sat Aug 7 2004 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:2.2.1-0.fdr.3
- Patch to fix gnome help invocation.
- Submitted upstream.

* Mon Jul 19 2004 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:2.2.1-0.fdr.2
- Combined gtkhtml3/qof patch that has the gtkhtml3 fix and work to allow
  building with a system installed libqof.
- Build with a system installed libqof.
- Patch to fix the inclusion of headers in C source.
- Update the .desktop patch to use false on "Needs Terminal".

* Sun Jul 11 2004 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:2.2.1-0.fdr.1
- Upgrade to 2.2.1.
- Remove extraneous BuildRequires.
- Change .desktop fix-ups into a patch to submit upstream.
- Remove doc patches as they've gone in upstream.
- Patch to fix building with libgtkhtml3.0
- And require automake, autoconf, etc because the gtkhtml patch applies to
  configure.in.  Decided this is preferable to a postautogen patch because it
  takes too much effort for someone to QA a huge postautogen patch.
- Patch to the idle timer to properly work with kernel-2.6's /proc/interrupts
- Removed smp flags as this version isn't smp-able.

* Mon Feb 02 2004 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:2.1.7-0.fdr.4
- Fix preun script which was calling gconftool on straw rather than gnotime.
- Add desktop-file-utils Requires and use them to (re)install the .desktop
  file so we can add --vendor and --add-category X-Fedora
- Add StartupNotify to the desktop file

* Wed Dec 31 2003 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:2.1.7-0.fdr.3
- Change the build process back to patching as there is no consensus and I
  agree with the patching argument rather than autogen-in-spec argument.
- Make sure the gconf schema gets installed into the sysconfigdir
- Use gconftool-2 in the post/postun scripts to install the schema into gconf.
- Make scrollkeeper non-optional.  Since most other fedora packages using
  scrollkeeper require it and not having scrollkeeper tends to make help
  unusable.

* Sun Dec 28 2003 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:2.1.7-0.fdr.2
- Fix up the BuildRequires -- if one package will pull in another
  automatically, then do not explicitly list it.
- Change the build process.  Instead of generating a post-autogen patch and
  patching the distributed source, run autogen.sh to regenerate the build
  infrastructure.  (This is necessary in the first place because the doc
  build structure needed to be modified.)

* Mon Dec 15 2003 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:2.1.7-0.fdr.1
- Initial Fedora RPM release.
- Partially adapted from the gnotime.spec.in by Eric Anderson
  <eric.anderson[AT]cordata.net> from the Red Hat directory in the gnotime
  distribution.
